
QGIS Application - Bug report #21012

Project keep loading 100% - Running (cannot cancel)

2019-01-16 02:00 PM - Christian Florian Gobel

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:3.4.3 Regression?: No

Operating System: Ubuntu 18.04.01 Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28831

Description

I have a project with many layers. Since I upgrade to 3.4 the project keeps an active task loading the '.qgs' file. I am able to work on the

project, edit and save features and also save the '.qgs' file. But I can't quit QGIS, only if I force quit via OS.

Associated revisions

Revision 7ad4b051 - 2019-01-19 09:40 PM - Nyall Dawson

Fix project loading task never completes when project has embedded layers

Fixes #21012

Revision 6584fb29 - 2019-01-21 07:46 AM - Nyall Dawson

Fix project loading task never completes when project has embedded layers

Fixes #21012

(cherry picked from commit 7ad4b05112af0c35bd9a8e0526e8823a6b695335)

History

#1 - 2019-01-16 11:51 PM - Nyall Dawson

- Status changed from Open to Feedback

Has this project got embedded layers?

#2 - 2019-01-18 09:01 PM - Christian Florian Gobel

Nyall Dawson wrote:

Has this project got embedded layers?

That's it! Removing these layers fixed the problem. 

Thank you a lot
#3 - 2019-01-18 11:49 PM - Nyall Dawson

- Status changed from Feedback to In Progress

Ok great - I can see the issue.

#4 - 2019-01-19 09:40 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|7ad4b05112af0c35bd9a8e0526e8823a6b695335.

Files

Union_ARTIGO.qgs 2.4 MB 2019-01-16 Christian Florian Gobel

Untitled.png 108 KB 2019-01-16 Christian Florian Gobel
